# Copyright 2012 Mail Bypass, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.

dir = File.dirname(__FILE__)

require 'rubygems'
require 'fakeweb'
require 'rr'
require 'json'

require "#{dir}/spec_core_extensions"
require "#{dir}/../lib/messagebus_ruby_apn_api"

def json_valid_apn_send
  json = <<JAVASCRIPT
{"statusCode":202,"statusMessage":"","statusTime":"2011-09-19T22:40:45.123Z","successCount":1,"failureCount":0,"results":[{"userName":"mark@messagebus.com","registrationStatus":"0"}]}
JAVASCRIPT
  json
end

def json_valid_apn_register
  json = <<JAVASCRIPT
{"statusCode":202,"statusMessage":"","statusTime":"2011-09-19T22:40:45.123Z","successCount":1,"failureCount":0,"results":[{"userName":"mark@messagebus.com","platform":"ios","messageStatus":0}]}
JAVASCRIPT
end

def json_valid_apn_apps
  json = <<JAVASCRIPT
{"statusCode":202, "statusMessage":"", "statusTime":"2011-09-19T22:40:45.123Z","results":[{"appName":"Sample App","appKey":"<app key>"}]}
JAVASCRIPT
end
